package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.vo.jcgl.TbJcglZyjz;
import com.mosty.base.model.dto.jcgl.TbJcglXfllDto;
import com.mosty.base.model.entity.jcgl.TbJcglXfll;
import com.mosty.base.model.query.jcgl.TbJcglXfllQuery;
import com.mosty.base.model.vo.jcgl.TbJcglXfllVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 巡防力量表;(tb_jcgl_xfll)表数据库访问层
 * @author : Lhh
 * @date : 2022-6-4
 */
@Mapper
public interface TbJcglXfllMapper  extends BaseMapper<TbJcglXfll> {

    IPage<TbJcglXfllVo> getList(@Param("page") IPage<TbJcglXfll> page, @Param("params") TbJcglXfllQuery tbJcglXfll);

    TbJcglXfllVo queryById(String id);

    void deleteList(@Param("id") List<String> id);

    Map<String, Integer> selectAllPolice(TbJcglXfllDto tbJcglXfllDto);

    Map<String, Integer> selectPolice(TbJcglXfllDto tbJcglXfllDto);

    Map<String, Integer> selectAuxPolice(TbJcglXfllDto tbJcglXfllDto);

    @ApiOperation("条件查询巡防力量列表")
    List<TbJcglZyjz> getxfllList(Map<String, Object> map);

    @ApiOperation("条件查询巡防力量数量")
    int getxfllCount(Map<String, Object> map);
}
